Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

POST /support/capture/upload/{sessionId}/{attachmentType}/{fileName}

POST/support/capture/upload/{sessionId}/{attachmentType}/{fileName}
Path parameters
sessionIdstringrequired
attachmentTypestringrequired
Allowed:screenshotvideodebugger_jsonlognetworkreplaytranscript
fileNamestringrequired
Header parameters
x-pile-capture-tokenstringrequired
Responses
200

Upload complete

r2Keystringrequired
401

Invalid or expired session

Try it
Server
Parameters
Request
curl -X POST 'https://pile.nyc/support/capture/upload/string/screenshot/string' \
  -H 'x-pile-capture-token: string' \
  -H 'Accept: application/json'
Response
{
  "r2Key": "string"
}